Download it now!
Bug 132771 - Updating of Impress templates broke neutral language behaviors of characters and preview
Summary: Updating of Impress templates broke neutral language behaviors of characters ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:7.0.0
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2020-05-06 13:25 UTC by Laurent BP
Modified: 2020-07-15 23:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
New background image for Blueprint_Plans (291.58 KB, application/gzip)
2020-05-09 17:51 UTC, Rizal Muttaqin
Details
Blueprint_Plans Background Comparison (202.19 KB, image/png)
2020-05-09 17:54 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2020-05-06 13:25:24 UTC
Description:
Updating of Impress templates by Andreas (see tdf#132138) (thanks for his great job) broke some behaviors:
- previews are now in German or English, while previous were with neutral "Lorem Ispum"
- all styles are in German (Austria), while previous had no language defined in template, and OS language was used for styles


Steps to Reproduce:
1. Open LibreOffice 7.0
2. Select Templates > Impress Templates
3. Click on one of the updated template
4. Format > Character

Actual Results:
After step 2. updated templates have English or German preview
After step 4. language is German (Austria) whatever your environment

Expected Results:
After step 2. updated templates should kept their previous preview (neutral language with "Lorem Ipsum" text)
After step 4. language should follow user environment as previously


Reproducible: Always


User Profile Reset: Yes



Additional Info:
See https://opengrok.libreoffice.org/xref/core/extras/README
Comment 1 andreas_k 2020-05-07 13:48:39 UTC
Laurent BP The previous I can fix do you know how to make the language neutral?

As I will prepare additional templates for draw, ... feedback will be very welcome. If you know how to fix this, add me to gerrit as reviewer so I can do it correct at the other templates.
Comment 2 Laurent BP 2020-05-08 14:06:54 UTC
(In reply to andreas_k from comment #1)
> Laurent BP The previous I can fix do you know how to make the language
> neutral?
Simply remove language and country tags
Check https://wiki.documentfoundation.org/Documentation/HowTo/Impress/Make_template_language_independent

> As I will prepare additional templates for draw, ... feedback will be very
> welcome. If you know how to fix this, add me to gerrit as reviewer so I can
> do it correct at the other templates.
First 5 templates done.

Please check Blueprint Plans template: 
- font size is decreased down to 3pt. Was it your intention?
- svg picture is duplicate of png picture and is not used. Shall we remove it?

Btw: it is a great job converting all theses pictures to shapes :-)
Comment 3 Rizal Muttaqin 2020-05-09 13:24:09 UTC
I try to fix the stretched images. Hopefully this patch won't mess up localization.


https://gerrit.libreoffice.org/c/core/+/93855
Comment 4 Laurent BP 2020-05-09 14:23:40 UTC
(In reply to Rizal Muttaqin from comment #3)
> I try to fix the stretched images. Hopefully this patch won't mess up
> localization.
> 
> 
> https://gerrit.libreoffice.org/c/core/+/93855

Hi,
Sorry, but I already submitted this commit:
https://gerrit.libreoffice.org/c/core/+/93742

What did you change in your commit?
Comment 5 Laurent BP 2020-05-09 14:24:58 UTC Comment hidden (obsolete)
Comment 6 Rizal Muttaqin 2020-05-09 17:51:14 UTC
Created attachment 160562 [details]
New background image for Blueprint_Plans

Laurent, please use these images as the background (may be set in Master Mode CMIIW) as current background stretched and make it looks unproportional.

Thank you.
Comment 7 Rizal Muttaqin 2020-05-09 17:54:54 UTC
Created attachment 160563 [details]
Blueprint_Plans Background Comparison

You can see the difference between two. If you have further input please tell me
Comment 8 Rizal Muttaqin 2020-05-09 17:56:16 UTC
(In reply to Rizal Muttaqin from comment #3)
> I try to fix the stretched images. Hopefully this patch won't mess up
> localization.
> 
> 
> https://gerrit.libreoffice.org/c/core/+/93855

OK abandoned, I did not know that your patch is still active
Comment 9 Laurent BP 2020-05-09 18:53:42 UTC
(In reply to Rizal Muttaqin from comment #6)
> Created attachment 160562 [details]
> New background image for Blueprint_Plans
> 
> Laurent, please use these images as the background (may be set in Master
> Mode CMIIW) as current background stretched and make it looks unproportional.
> 
> Thank you.

OK I see. Thanks for your contribution :-)
I don't know yet how to change background with page size proportion.
Comment 10 Commit Notification 2020-05-09 23:52:57 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/faf7dfae2471e62695aaeeb3d004e54738b9cea9

tdf#132771 Update Pencil Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-05-10 01:45:26 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3fb5da905017c9cf6bd67da80d1cc72e67c36dd

tdf#132771 Update Midnightblue Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Rizal Muttaqin 2020-05-10 10:36:58 UTC
(In reply to Laurent BP from comment #9)
> (In reply to Rizal Muttaqin from comment #6)
> > Created attachment 160562 [details]
> > New background image for Blueprint_Plans
> > 
> > Laurent, please use these images as the background (may be set in Master
> > Mode CMIIW) as current background stretched and make it looks unproportional.
> > 
> > Thank you.
> 
> OK I see. Thanks for your contribution :-)
> I don't know yet how to change background with page size proportion.

@andreas Kainz, you might now how to do this using my attached files?
Comment 13 Commit Notification 2020-05-10 13:55:58 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/184d47b627796ec73ef25619c671277cb43e2407

tdf#132771 Update Inspiration Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-05-10 13:56:05 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a15a68563328f703f71e24bf5c386203fbc7743f

tdf#132771 Update LushGreen Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-05-10 13:56:14 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/66dca368d949400d738aff5f14ce104a27d7be67

tdf#132771 Update Blue_Curve Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-05-10 13:57:43 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/076af983cf18133c0d04e3ae26f5f44b8ac940be

tdf#132771 Update "Impress" Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-05-10 13:59:03 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5fff071ebf2aa5337b953d0668d00e2ea38b4f62

tdf#132771 Update Forestbird Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-05-10 14:01:47 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/382cb25bc16372da853f36c25f7ebba41f88124c

tdf#132771 Update Focus Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2020-05-10 14:01:53 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4344cbeec7a4215e62ca553f260967a5732e7081

tdf#132771 Update BrightBlue Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2020-05-10 14:02:01 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2c7007d5890252b38beaee69c2e0af1341775544

tdf#132771 Update Beehive Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2020-05-10 14:03:28 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f57e465989eeeccf8f3ad2588bf93bdd8c887fa1

tdf#132771 Update Alizarin Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2020-05-10 14:03:35 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d6ab59ef40b546ec62df2a7dbe389492a1159fe0

tdf#132771 Update Lights Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2020-05-11 05:40:23 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9054b8ce86f461ed1edfb7e735767e9d2ef07115

tdf#132771 Update Portfolio Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2020-05-11 05:40:29 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ce19b1af9eaf86d6dfabcff1ba867c5a2e6c2a9e

tdf#132771 Update Piano Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2020-05-11 05:40:36 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/86bc13248c1d9f63b10aac304bdf0361d1dcc47f

tdf#132771 Update DNA Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2020-05-13 20:50:08 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/152e531ea9d5928222e7c91beb92bbc501e6f216

tdf#132771 Update Sunset Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2020-05-13 20:50:17 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4907531966880f2bb4bb14b1c159865909000842

tdf#132771 Update Progress Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2020-05-14 02:19:56 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/67bf7dfa9fb784bb6826e631264af1a98aa0e2d9

tdf#132771 Update Blueprint Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Rizal Muttaqin 2020-05-16 07:16:16 UTC
I just notice there are two unnecessary slide master page (third and fourth slide) in Blueprint Plans template


Version: 7.0.0.0.alpha1+
Build ID: b1e396d86655a0131498a4691dd8069ea76c3477
CPU threads: 4; OS: Linux 4.20; UI render: Skia/Raster; VCL: x11; 
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-15_04:58:38
Calc: threaded
Comment 30 Laurent BP 2020-05-16 07:49:38 UTC
(In reply to Rizal Muttaqin from comment #29)
> I just notice there are two unnecessary slide master page (third and fourth
> slide) in Blueprint Plans template
They are not unnecessary: they are 4:3 screens (previous background pictures), while the two first are for wide screens (pictures you contributed for)
Comment 31 Rizal Muttaqin 2020-07-15 23:40:27 UTC
(In reply to Laurent BP from comment #30)
> (In reply to Rizal Muttaqin from comment #29)
> > I just notice there are two unnecessary slide master page (third and fourth
> > slide) in Blueprint Plans template
> They are not unnecessary: they are 4:3 screens (previous background
> pictures), while the two first are for wide screens (pictures you
> contributed for)

Yes, please remove them from slide master